## org.apache.cassandra.avro
Class KeyspaceNotDefinedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.avro.ipc.AvroRemoteException
                      org.apache.avro.specific.SpecificExceptionBase
                          org.apache.cassandra.avro.InvalidRequestException
                              org.apache.cassandra.avro.KeyspaceNotDefinedException

All Implemented Interfaces:
  java.io.Serializable, org.apache.avro.generic.GenericContainer, org.apache.avro.specific.SpecificRecord

    public class KeyspaceNotDefinedException

extends org.apache.cassandra.avro.InvalidRequestException

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.cassandra.avro.InvalidRequestException
`__PARANAMER_DATA, SCHEMA$, why`

Constructor Summary
`KeyspaceNotDefinedException(org.apache.avro.util.Utf8 why)`

Method Summary

Methods inherited from class org.apache.cassandra.avro.InvalidRequestException
`get, getSchema, set`

Methods inherited from class org.apache.avro.specific.SpecificExceptionBase
`equals, hashCode`

Methods inherited from class org.apache.avro.ipc.AvroRemoteException
`getValue`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KeyspaceNotDefinedException

    public KeyspaceNotDefinedException(org.apache.avro.util.Utf8 why)

Copyright © 2010 The Apache Software Foundation